# ContractCallPayload | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

### Hierarchy

- ContractCallPayload

## Index

### Properties

- contractAddress
- contractName
- functionArgs
- functionName
- payloadType
- type

## Properties

### Readonly contractAddress

contractAddress: Address

- Defined in packages/transactions/src/payload.ts:65

### Readonly contractName

contractName: LengthPrefixedString

- Defined in packages/transactions/src/payload.ts:66

### Readonly functionArgs

functionArgs: ClarityValue []

- Defined in packages/transactions/src/payload.ts:68

### Readonly functionName

functionName: LengthPrefixedString

- Defined in packages/transactions/src/payload.ts:67

### Readonly payloadType

payloadType: ContractCall

- Defined in packages/transactions/src/payload.ts:64

### Readonly type

type: Payload

- Defined in packages/transactions/src/payload.ts:63

Generated using TypeDoc